Bug 679862 - libvirt fails with "Invalid argument" when trying to create a new virtual machine on an AMD Magny-Cours 4x12 48 Core platform
libvirt fails with "Invalid argument" when trying to create a new virtual mac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-23 12:50 EST by Eugenio Diaz
Modified: 2012-01-24 17:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugenio Diaz 2011-02-23 12:50:48 EST
Description of problem:

libvirt fails with "Invalid argument" when trying to create a new virtual machine on an AMD Magny-Cours 4x12 48 Core platform (http://www.supermicro.com/Aplus/motherboard/Opteron6100/SR56x0/H8QGi-F.cfm) with the "virt-manager" GUI or with the virt-install command line tool. This does not happen with "virt-install" if the CPU pinning is specified with the "--cpuset=auto" option. However to the best of my knowledge it is impossible to specify this option in the "virt-manager" GUI; which make it useless to create virtual machines on this platform.
 
Version-Release number of selected component (if applicable):

libvirt-0.8.3-2.fc14.x86_64
libvirt-client-0.8.3-2.fc14.x86_64
virt-manager-0.8.5-1.fc14.noarch


How reproducible:

Always.

Steps to Reproduce:
1. Try to create a virtual machine with the "virt-manager" GUI.

or

1. Try to create a virtual machine with the "virt-install" tool without using the "--cpuset" option.
  
Actual results:

--------------------------------------------------------------------------
[root@xtreme:~]# virt-install -n myvm -r 2048 --nodisks --pxe

Starting install...
ERROR    internal error Process exited while reading console log output: libvir: error : cannot set CPU affinity on process 0: Invalid argument


Domain installation does not appear to have been
successful. If it was, you can restart your domain
by running 'virsh start myvm'; otherwise, please
restart your installation.
[root@xtreme:~]# virt-install -n myvm -r 2048 --nodisks --pxe --vcpus=48

Starting install...
ERROR    internal error Process exited while reading console log output: libvir: error : cannot set CPU affinity on process 0: Invalid argument


Domain installation does not appear to have been
successful. If it was, you can restart your domain
by running 'virsh start myvm'; otherwise, please
restart your installation.
[root@xtreme:~]#
--------------------------------------------------------------------------

Expected results:

--------------------------------------------------------------------------
[root@xtreme:~]# virt-install -n nito -r 2048 --nodisks --pxe --vcpus=48 --cpuset=auto

Starting install...
Creating domain...                                                                                              |    0 B     00:00     
Domain installation still in progress. You can reconnect to 
the console to complete the installation process.
[root@xtreme:~]#
--------------------------------------------------------------------------

Additional info:

This was already reported by someone else on Fedora 13 under Bug#644646 (https://bugzilla.redhat.com/show_bug.cgi?id=644646)
Comment 1 Eugenio Diaz 2011-02-23 13:16:20 EST
The problem was already solved in RHEL: https://bugzilla.redhat.com/show_bug.cgi?id=654540

The issue is explained in this thread:
https://www.redhat.com/archives/libvir-list/2010-November/msg00863.html
Comment 2 Eugenio Diaz 2011-02-23 13:37:53 EST
Workaround fix by installing the following packages from Fedora 15 testing:

   Updating:
    libvirt-0.8.8-2.fc15
    virt-viewer-0.3.1-1.fc15
   Installing for dependencies:
    spice-glib-0.5-1.fc14
    spice-gtk-0.5-1.fc14
   Updating for dependencies:
    libvirt-client-0.8.8-2.fc15
    libvirt-python-0.8.8-2.fc15
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:55:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:58:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:54:33 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:56:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:00:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:02:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-01-24 17:37:45 EST
Sorry for not addressing this bug, but F14 is EOL now, so I'm closing this
report. Please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.